# Uses of Class
org.eclipse.ecf.provider.remoteservice.generic.RemoteServiceRegistryImpl

Packages that use RemoteServiceRegistryImpl
Package
Description
org.eclipse.ecf.provider.remoteservice.generic

## Uses of RemoteServiceRegistryImpl in org.eclipse.ecf.provider.remoteservice.generic

Fields in org.eclipse.ecf.provider.remoteservice.generic declared as RemoteServiceRegistryImpl
Modifier and Type
Field
Description
`protected RemoteServiceRegistryImpl`
RegistrySharedObject.`localRegistry`
registry impl for local remote service registrations
Methods in org.eclipse.ecf.provider.remoteservice.generic that return RemoteServiceRegistryImpl
Modifier and Type
Method
Description
`protected RemoteServiceRegistryImpl`
RegistrySharedObject.`addRemoteRegistry(RemoteServiceRegistryImpl registry)`
`protected RemoteServiceRegistryImpl`
RegistrySharedObject.`getRemoteRegistry(ID containerID)`
`protected RemoteServiceRegistryImpl`
RegistrySharedObject.`removeRemoteRegistry(ID containerID)`
Methods in org.eclipse.ecf.provider.remoteservice.generic with parameters of type RemoteServiceRegistryImpl
Modifier and Type
Method
Description
`protected RemoteServiceRegistryImpl`
RegistrySharedObject.`addRemoteRegistry(RemoteServiceRegistryImpl registry)`
`void`
RemoteServiceRegistrationImpl.`publish(RegistrySharedObject sharedObject1, RemoteServiceRegistryImpl registry, Object svc, String[] clzzes, Dictionary props)`